Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.Security
Public Enum eSQLType
    MSSQL = 0
    MySQL = 1
    PostgreSQL = 2
End Enum
Public Interface ILogonConnection
    Property DBConnection() As String
    Property SQLServer As String
    Property SQLType As eSQLType
    Property Company As String
End Interface
<NonPersistent()> _
 Public Class ChangeLogon
    Inherits AuthenticationStandardLogonParameters
    Implements ILogonConnection
    Private _DBConnection As String
    Private _SQLServer As String
    Private _SQLType As eSQLType
    Private _Company As String
    Public Property DBConnection() As String Implements ILogonConnection.DBConnection
        Get
            Return _DBConnection
        End Get
        Set(ByVal value As String)
            _DBConnection = value
        End Set
    End Property
    Property SQLServer As String Implements ILogonConnection.SQLServer
        Get
            Return _SQLServer
        End Get
        Set(ByVal value As String)
            _SQLServer = value
        End Set
    End Property
    Property SQLType As eSQLType Implements ILogonConnection.SQLType
        Get
            Return _SQLType
        End Get
        Set(value As eSQLType)
            _SQLType = value
        End Set
    End Property
    Property Company As String Implements ILogonConnection.Company
        Get
            Return _Company
        End Get
        Set(value As String)
            _Company = value
        End Set
    End Property
End Class

